[tool.poetry]
name = "src"
version = "0.1.0"
description = "Collects and presents git commit logs for the processors in the joblinks ecosystem"
authors = ["Team:Jobbdata <3912jobbdata@arbetsformedlingen.se>"]
license = "LICENSE"
readme = "README.md"

[tool.poetry.dependencies]
python = "^3.11"
requests = "^2.31.0"
loguru = "^0.7.2"


[tool.poetry.group.dev.dependencies]
ruff = "^0.7.0"
pre-commit = "^3.6.0"

[tool.poetry.group.test.dependencies]
# separate group for installing in test step of Dockerfile
pytest = "^8.0.1"

[build-system]
requires = ["poetry-core"]
build-backend = "poetry.core.masonry.api"


[tool.ruff]
line-length = 120

[tool.ruff.format]

[tool.ruff.lint]
select = ["I"]  # sort imports
